A table that contains information about a unit in the device.
OID reference
swStructUnitTable
1.3.6.1.4.1.171.11.25.1.2
Description
A table that contains information about a unit in the device.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.11.25.1 (swStructure)
- Node code
- 2
- Node name
- swStructUnitTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.11.25.1.2
- URN notation
- urn:oid:1.3.6.1.4.1.171.11.25.1.2
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 11 25 1 2}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swStructure(1) swStructUnitTable(2)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/11/25/1/2
- /ISO/Identified-Organization/6/1/4/1/171/11/25/1/2
- /ISO/3/6/1/4/1/171/11/25/1/2
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des3624Mgmt/swStructure/swStructUnitTable
- Additional combinations skipped.
SNMP properties
- Value type
- SEQUENCE OF SwStructUnitEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
swStructUnitTable OBJECT-TYPE
SYNTAX SEQUENCE OF SwStructUnitEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A table that contains information about a unit in the device."
::= { swStructure 2 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
swStructUnitTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: swStructUnitTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swStructUnitTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"SwStructUnitEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A table that contains information about a unit in the device.\"",
"::=",
"{",
"swStructure",
"2",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"SwStructUnitEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A table that contains information about a unit in the device."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: MIB.zip
Module: SW-STRCTURE-MIB
See published definition above
· Download struct.mibModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.25.1.2.1 | swStructUnitEntry | 9 | 9 |
Siblings (4)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.25.1.1 | swStructInfo | 3 | 3 | |
| 1.3.6.1.4.1.171.11.25.1.3 | swStructModuleTable | 1 | 11 | |
| 1.3.6.1.4.1.171.11.25.1.4 | swStructPowerTable | 1 | 4 | |
| 1.3.6.1.4.1.171.11.25.1.5 | swStructFanTable | 1 | 4 |